
OpenID Fix - Bug #1966

use registration settings

10 Feb 2012 03:15 - bynn ies

Status: Closed Start date: 10 Feb 2012

Priority: Major Due date: 16 Apr 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version:  External issue:  

Description

This plugin automatically accepts anyone who registers using openid even if the administration setting is set to something else like

manual registration. The following fies this bug.

replace:

register_automatically(user) do

onthefly_creation_failed(user)

end

with:

case Setting.self_registration

when '1’

register_by_email_activation(user) do

onthefly_creation_failed(user)

end

when '3’

register_automatically(user) do

onthefly_creation_failed(user)

end

else

register_manually_by_administrator(user) do

onthefly_creation_failed(user)

end

end

Associated revisions

Revision 3 - 09 Apr 2012 07:43 - Andriy Lesyuk

Added support for manual activation (fixes #1966)

History

#1 - 12 Feb 2012 17:29 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Hi! Thanks for report!

I thought about this earlier... Let me explain why I did the way I did:

E-Mail activation is needed to verify email... But should it be verified if user uses a trusted OpenID source? I believe it’s redundant. What do you

think?

Regarding manual actiovation... Yes, it can have a sense...
#2 - 12 Feb 2012 19:39 - bynn ies

Hey,

I agree, include the automatic and manual activation and leave out the email activation.

#3 - 09 Apr 2012 07:47 - Andriy Lesyuk

- Status changed from Open to Under Verification

- Target version set to 0.0.2

- % Done changed from 0 to 100

I believe I have fixed it! Please test if possible (take code from SVN)...

Thanks for contribution!

#4 - 16 Apr 2012 07:47 - Andriy Lesyuk

- Due date set to 16 Apr 2012

- Status changed from Under Verification to Closed
